#include <avr/io.h>
#include <util/delay.h>

#define BLINK_DELAY_MS 4000

int main (void)
{
 /* set pin 4 of PORTB for output*/
 DDRB |= _BV(DDB4);
 
 while(1) {
  /* set pin 4 high to turn led on */
  PORTB |= _BV(PORTB4);
  _delay_ms(BLINK_DELAY_MS);
 
  /* set pin 4 low to turn led off */
  PORTB &= ~_BV(PORTB4);
  _delay_ms(BLINK_DELAY_MS);
 }
}