#ifndef ARDUINOLIB_H
#define ARDUINOLIB_H

typedef struct Arduinolib__lcd_init {
} Arduinolib__lcd_init_out;

typedef struct Arduinolib__lcd_write {
} Arduinolib__lcd_write_out;

typedef struct Arduinolib__lcd_cmd {
} Arduinolib__lcd_cmd_out;

typedef struct Arduinolib__lcd_char {
} Arduinolib__lcd_char_out;

typedef struct Arduinolib__lcd_string {
} Arduinolib__lcd_string_out;

typedef struct Arduinolib__lcd_int {
} Arduinolib__lcd_int_out;

typedef struct Arduinolib__dread {
  int v;
} Arduinolib__dread_out;

typedef struct Arduinolib__dwrite {
} Arduinolib__dwrite_out;

void Arduinolib__lcd_init_step(Arduinolib__lcd_init_out *o);

void Arduinolib__lcd_write_step(uint8_t info, Arduinolib__lcd_write_out *o);

void Arduinolib__lcd_cmd_step(uint8_t cmd, Arduinolib__lcd_cmd_out *o);

void Arduinolib__lcd_char_step(uint8_t char_data, Arduinolib__lcd_char_out *o);

void Arduinolib__lcd_string_step(uint8_t lstring[], int line, Arduinolib__lcd_string_out *o);

void Arduinolib__lcd_int_step(int numb, int line, Arduinolib__lcd_int_out *o);

void Arduinolib__dread_step(int p, Arduinolib__dread_out *out);

void Arduinolib__dwrite_step(int p, int v, Arduinolib__dwrite_out *out);

#endif